function init(hero) {

    hero.setName("Green Beetle");

    hero.setVersion("Young Justice");

    hero.setTier(5);

    

    hero.setHelmet("Helmet");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");

    

    hero.addAbilities("fiskheroes:shape_shifting", "fiskheroes:intangibility", "fiskheroes:invisibility", "fiskheroes:flight", "fiskheroes:heat_vision", "fiskheroes:electrokinesis");

    hero.addWeaknesses("fiskheroes:fire");

    hero.addAttribute("ATTACK_DAMAGE", 2.1, 1);

    hero.addAttribute("PUNCH_DAMAGE", 13.0, 0);

    hero.addAttribute("SWORD_DAMAGE", -0.40, 1);

    

    hero.addKeyBind("SHAPE_SHIFT", "key.shapeShift", 1);

    hero.addKeyBind("SHAPE_SHIFT_RESET", "key.shapeShiftReset", 2);

    hero.addKeyBind("INTANGIBILITY", "key.intangibility", 3);

    hero.addKeyBind("INVISIBILITY", "key.invisibility", 4);

    hero.addKeyBind("HEAT_VISION", "key.heatVision", 5);

    

    hero.setDefaultScale(1.3);

    hero.setHasProperty(hasProperty);

}



function hasProperty(entity, property) {

    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";

}

